<template>
  <div class="order">
    <el-card class="elCard order-theme" style="background-color:white; height: 90PX; ">
      <van-cell-group >
        <van-field class="themeInput" style="border: black !important;" @blur="saveTheme" v-model="dataForm.theme" placeholder="会议主题" />
      </van-cell-group>

      <!-- <el-input size="medium " class="theme-input" :clearable="true" style="height:5vw" placeholder="会议主题"
        v-model="dataForm.theme"></el-input> -->
    </el-card>
    <el-card class="elCard order-meetingType" style="height: 80PX;">
      <div class="meetingType">
        <div style="align-items:center">会议类型</div>
        <div style="font-size: 30PX;position: relative; left: 170PX;">
          <van-cell :value="meetingType" @click="showMeetingType = true"
            style="width:100PX; text-align:center; background-color: rgb(224, 224, 224);" />
          <van-popup v-model="showMeetingType" round position="bottom" :style="{ height: '30%' }">
            <van-picker title="会议类型" show-toolbar :columns="meetingTypeOptions" @confirm="onConfirmType"
              @cancel="onCancel" />
          </van-popup>

        </div>
      </div>
    </el-card>
    <el-card class="elCard order-Participants">
      <div class="participants" @click="toSelParticipants">
        <div>参与人</div>
        <i v-if="selUsers == null" class="el-icon-circle-plus" style="font-size: 30PX !important;
		position: relative;
		left: 255PX;"></i>
        <div v-else style="font-size: 30PX;position: relative;left: 235PX;">共{{ selUsers != null ? selUsers.length : 0
        }}人
        </div>
      </div>
    </el-card>
    <el-card class="elCard order-time">
      <div class="timeItem startTime">
        <div class="text">开始</div>
        <div class="datePicker">
          <van-cell :value="date2" @click="show = true"
            :style="{ width: myWidth, marginLeft: mymarginLeft, backgroundColor: '#E0E0E0', textAlign: 'center' }" />
          <van-calendar v-model="show" @confirm="onConfirm" />
        </div>
        <div class="timePicker" >
          <van-cell class="startTimeCell" :value="currentTime"
            style="text-align:center; width:8vw;  background-color: #E0E0E0 !important;"
            @click="show2 = true" />
          <van-popup v-model="show2" round position="bottom" :style="{ height: '30%' }">
            <van-datetime-picker style="width:100%" v-model="currentTime" type="time" @confirm="onConfirmTime"
              @cancel="onCancelTimePicker" />
          </van-popup>
        </div>
      </div>
      <div class="timeItem hour">
        <div class="text">时长</div>
        <div class="dateSelect " v-if="dataForm.hour != '自定义时间'" style="">
          <van-cell :value="dataForm.hour" style="width:60PX !important; padding: 3.75PX 0  0 6PX !important;"
            @click="show3 = true" />
          <van-popup v-model="show3" round position="bottom" :style="{ height: '30%' }">
            <van-picker title="时长" show-toolbar :columns="options" @confirm="onConfirmHour" @cancel="onCancel" />
          </van-popup>

        </div>
        <div style="display:flex; width:260PX;" v-else>
          <div class="datePicker" style="width:78PX;">
            <van-cell class="endTimeCell" :value="customDate" @click="showCustomDateCalendar = true"
              style="width:70PX !important; margin:auto; margin-left: 45PX;  background-color:#E0E0E0; text-align: center; " />
            <van-calendar v-model="showCustomDateCalendar" @confirm="onConfirmCustomDate" />
          </div>
          <div class="timePicker" style="padding:10PX 20PX;">
            <van-cell class="endTimeCell" :value="customTime"
              style=" text-align:center; width:78PX !important; margin-left: 11PX; padding-left:-7PX !important; background-color: #E0E0E0 !important;"
              @click="showCustomTimePicker = true" />
            <van-popup v-model="showCustomTimePicker" round position="bottom"
              :style="{ height: '30%' }">
              <van-datetime-picker style="width:100%" v-model="customTime" type="time" @confirm="onConfirmCustomTime" />
            </van-popup>
          </div>
        </div>
      </div>
    </el-card>
    <el-card class="elCard order-place" style="padding-bottom:21PX;">
      <div class="placeItem room" @click="toSelMeetingRoom">
        <div class="placeItem textPlace">
          <div>地点</div>
        </div>
        <div class="metRoom">

          <div v-if="dataForm.room != null && dataForm.room.length == 1">
            <div v-for="(item, index) in dataForm.room" :key="index">{{ item.name }}</div>
          </div>
          <div v-if="dataForm.room != null && dataForm.room.length > 1 && dataForm.room.length <= 4"
            style="display:flex">
            <div v-for="(item, index) in dataForm.room" :key="index">{{ (index + 1) != dataForm.room.length ? (item.name
                +
                ',') : item.name
            }}</div>
          </div>
          <div v-if="dataForm.room != null && dataForm.room.length > 4" style="display:flex">
            <div v-for="(item, index) in dataForm.room.slice(0, 4)" :key="index">{{ (index + 1) != dataForm.room.length
                ?
                (item.name + ',') : item.name
            }}</div>
            <div> 共{{ dataForm.room.length }}个</div>
          </div>
          <div v-if="dataForm.room == null">请选择会议室</div>
          <img v-if="dataForm.room == null" style="width:14PX; height:14PX; align-items:center; margin-left: 164PX; "
            src="@/assets/img/meetingAppIconfontSvg/rightArrow.svg" />
        </div>

      </div>
    </el-card>
    <el-card class="elCard order-place remark" style="padding:0; height: 100PX;" >
      <van-field @blur="savaRemark" style="border-radius: 0; width:100%; padding: 0 !important; font-size: 30PX; height: 70PX;" maxlength="50" v-model="dataForm.remark" rows="1" autosize  type="textarea" placeholder="请输入描述" />

    </el-card>
    <el-card class="elCard order-place">

      <div class="placeItem setting" @click="toSelMeetingSetting">
        <div class="metSetting">
          <div style="width:100PX;">更多会议设置</div>
          <img style="width:14PX; height:14PX; align-items:center; "
            src="@/assets/img/meetingAppIconfontSvg/rightArrow.svg" />
        </div>
      </div>
      <!-- <div class="placeItem placeInput">
        <el-input style="font-size:4.2vw" placeholder="请输入地点"></el-input>
      </div> -->
    </el-card>
    <van-button class="order-btn" type="info" :loading="loading" @click="handOk">保存</van-button>
    <div style="height:70PX;"></div>
  </div>
</template>
<script>
import { Notify } from 'vant';
import portal from '@/api/portal.js'
import { Message } from 'element-ui';
import { ref } from 'vue';
export default {
  props: {
    'userList': {
      type: Array,
    },
    'departmentList': {
      type: Array,
    },
    'order': {
      type: Object,
    }
  },
  data() {
    var checkTheme = (rule, value, callback) => {
      if (!value) {
        return callback(new Error("请输入会议主题"))
      } else {
        return callback()
      }
    }
    var checkTime = (rule, value, callback) => {
      if (!value) {
        return callback(new Error("请输入会议开始时间"))
      } else {
        return callback()
      }
    }
    var checkPlace = (rule, value, callback) => {
      if (!value) {
        return callback(new Error("请输入会议地点"))
      } else {
        return callback()
      }
    }

    return {
      myWidth: '108PX !important',
      mymarginLeft: '8PX !important',
      customDate: '',
      customTime: '',
      showCustomDateCalendar: false,
      showCustomTimePicker: false,
      date2: '',
      date3: '',
      show: false,
      show2: false,
      show3: false,
      meetingType: '',
      showMeetingType: false,
      loading: false,
      currentTime: '12:00',
      value: [],
      dataForm: {
        theme: '',
        startTime: '',
        endTime: '',
        hour: '1小时',
        place: '',
        room: [],
        meetingType: 1,
        meetingStatus: 0,
      },
      selUsers: [],
      pickerOptions: {
        shortcuts: [{
          text: '今天',
          onClick(picker) {
            picker.$emit('pick', new Date());
          }
        }]
      },
      options: ['半小时', '1小时', '2小时', '3小时', '自定义时间'],
      meetingTypeOptions: [],
      rules: {
        theme: [{
          validater: checkTheme,
          require: true
        }],
        time: [{
          validater: checkTime,
          require: true
        }],
        place: [{
          validater: checkPlace,
          require: true
        }],
      }

    };
  },
  beforeRouteEnter(to, from, next) {
    next((vm) => {
      console.log(to, from, 'this.$route.query')
      if (from.name == 'selParticipants') {
        var selUsers = this.$route.query.selUsers
        console.log(this.$route.query, 'this.$route.query')
        if (selUsers != '' && selUsers != undefined) {
          console.log(selUsers, 'selUsers')
          this.selUsers = JSON.parse(JSON.stringify(selUsers))
        }
      }
      if (from.name == 'unfinished' || from.name == 'history') {
        localStorage.setItem('meetingType', '普通会议')
      }
    })
  },
  created() {
    this.getAllDict()
    // console.log(localStorage.getItem('meetingType'),'localStorage.getItem')
    if (localStorage.getItem('meetingType') == null) {
      this.meetingType = '普通会议'
      localStorage.setItem('meetingType', '普通会议')
    } else {
      this.meetingType = localStorage.getItem('meetingType')
    }

    // console.log(this.getDictData('hylx'), "this.getDictData('hylx')")
    this.dataForm = {
      theme: localStorage.getItem('theme'),
      startTime: localStorage.getItem('startTime'),
      hour: localStorage.getItem('hour'),
      place: localStorage.getItem('place'),
      meetingType: localStorage.getItem('meetingType'),
      remark: localStorage.getItem('remark'),
    }
    this.selUsers = JSON.parse(localStorage.getItem('selUsers'))
    // this.dataForm.room = []
    this.getRoom()



    var departmentList = this.$route.query.departmentList
    var userList = this.$route.query.userList


    if (departmentList != '') {
      this.departmentList = departmentList
    } else {
      getDepartment().then(res => {
        if (res[1].data.errcode == "0") {
          this.departmentList = res[1].data.department
        }
      })
    }
    if (userList != '' || userList != undefined) {
      this.userList = userList
    } else {
      getUserList(1).then(res => {
        if (res[1].data.errcode == "0") {
          this.userList = res[1].data.userlist
        }
      })
    }

    setTimeout(() => {
      this.getDictData('hylx').forEach(item => {
        this.meetingTypeOptions.push(item.text)
      })

      console.log(this.getDictData('hylx'), "meetingTypeOptions")
    }, 100);

  },
  mounted() {
    var date = new Date()
    let year = date.getFullYear()
    let mouth = date.getMonth() + 1 < 10 ? '0' + (date.getMonth() + 1) : date.getMonth() + 1
    let day = date.getDate() + 1 < 10 ? '0' + date.getDate() : date.getDate()
    this.date2 = '今天  ' + mouth + '-' + day
    this.date = year + '-' + mouth + '-' + day
    this.customDate = mouth + '-' + day

    console.log(this.date, 'this.date')
    let hour = date.getHours() < 10 ? '0' + (date.getHours()) : date.getHours()
    let Minutes = date.getMinutes() < 10 ? '0' + date.getMinutes() : date.getMinutes()
    this.date3 = hour + ':' + Minutes
    this.currentTime = this.date3
    this.customTime = this.date3
    this.dataForm.startTime = this.date + ' ' + this.date3
    this.setMeetingStatus(this.dataForm.startTime)
    this.dataForm.endTime = this.getEndTime()
    // console.log(JSON.parse(sessionStorage.getItem('currentUser')), 'sessionStorage.getItem.username')


  },

  computed: {
    // time: {
    //   get() {
    //     return this.dataForm.time;
    //   },
    //   set(val) {
    //     this.dataForm.time = val
    //   }
    // }
    getCurrentTime() {
      return new Date().getHour() + ':' + new Date().getMinutes()
    }
  },
  methods: {
    getAllDict() {
      portal.getSysDict().then(data => {
        // console.log(data, '字典')
        if (data) {
          sessionStorage.setItem('dict_data', JSON.stringify(data))
        }
      })
    },
    setMeetingStatus(date) {
      let time = new Date(date)
      let nowTime = new Date()
      if (time > nowTime) {
        this.dataForm.meetingStatus = 1
      } else {
        this.dataForm.meetingStatus = 2
      }
    },
    getRoom() {
      let room = JSON.parse(localStorage.getItem('room2'))
      console.log(room, "room")
      // console.log(localStorage.getItem('room'),"localStorage.getItem('room')")
      // if(room == null){
      //   this.$set(this.dataForm,'room',[{name:''}])
      //   console.log(this.dataForm.room, 'this.dataForm.room')
      // }else{
      this.$set(this.dataForm, 'room', room)
      // }


      // console.log(this.dataForm,'this.dataForm')
      // console.log(room, "'localStorage.getItem('room')'")

    },
    judgeObjectComplete(ObjectValue) {
      let flag = new Boolean()
      flag = true
      for (let key in ObjectValue) {
        if (ObjectValue[key]) { } else {
          flag = false
        }
      }
      if (!flag) {
        return false
      } else {
        return true
      }
    },
    sendMessage() {
      this.loading = true
      let mes = {
        toUser: '',
        content: ''
      }
      for (var i = 0; i < this.value.length; i++) {
        mes.toUser += i == this.value.length - 1 ? this.value[i] : (this.value[i] + '|')
      }
      var date = new Date(this.dataForm.startTime);
      var formatTime = date.getFullYear() + '-' + (date.getMonth() + 1) + '-' + date.getDate() + "  " + date
        .getHours() + ":" + date.getMinutes();
      mes.content = '关于' + this.dataForm.theme + '的会议通知，开始时间：' + formatTime + "； 地点：" + this.dataForm.place +
        ";  大约时长为" + this.dataForm.hour;
      sendMessage(mes).then(res => {
        console.log(res, 'sendMessager-res')
      }, () => {
        this.loading = false
      })
    },
    saveMeetingInfoToBack() {
      let url = `${window.context.xqhk}/meeting/v1/saveMeeting`
      var selUser = this.$route.query.selUsers
      if (selUser != '' && selUser != undefined) {
        console.log(selUser, 'selUser')
        this.selUsers = JSON.parse(selUser)
      } else (
        this.selUsers = JSON.parse(localStorage.getItem('selUsers'))
      )
      let users = []
      let selUsers = this.selUsers
      // console.log(selUsers, 'selUsers')
      selUsers && selUsers.forEach(item => {
        users.push({
          userId: item
        })
      })
      let rooms = []
      this.dataForm.room.forEach(item => {
        rooms.push({
          placeId: item.id
        })
      })
      let username = JSON.parse(sessionStorage.getItem('currentUser')).name
      //获取会议更多设置
      if(JSON.parse(localStorage.getItem('setting')) == null){
        Notify({ type: 'warning', message: '请选择更多设置' });
      }
      let { remindTime, host, password, isWaitRoom, isWatermark, isOpen, limitUser, mute } = JSON.parse(localStorage.getItem('setting'))   
      let body = {
        startTime: this.dataForm.startTime + ':00',
        endTime: this.dataForm.endTime + ':00',
        host: username,
        meetingStatus: this.dataForm.meetingStatus,
        meetingType: this.dataForm.meetingType == '普通会议' ? 1 : 2,
        places: rooms,
        theme: this.dataForm.theme,
        users: users,
        remark: this.dataForm.remark,
        remindTime: parseInt(remindTime),
        password: password,
        isWaitRoom: isWaitRoom ? 0 : 1,
        isWatermark: isWatermark ? 0 : 1,
        isOpen: isOpen ? 0 : 1,
        limitUser: parseInt(limitUser),
        mute: parseInt(mute)
        // limitUser: 
      }
      this.$http.post(url, body).then(res => {
        console.log(res, 'res')
        if (res.status == 200) {
          this.$toast.success(res.data.message)
          this.removeFromLocalStorage()
          this.$router.push({
            path: '/unfinished'
          })
        } else {
          Toast.fail(res.data.message)
        }

      })
    },

    handOk() {
      if (this.judgeObjectComplete(this.dataForm)) {
        if (this.judgeObjectComplete(this.value)) {
          this.saveMeetingInfoToBack()
          this.removeFromLocalStorage()
        } else {
         this.$toast.fail("请填选择参会人员")
        }
      } else {
        this.$toast.fail("请填写完整信息")
      }


    },
    removeFromLocalStorage() {
      localStorage.removeItem('theme')
      localStorage.removeItem('selUsers')
      localStorage.removeItem('room2')
      localStorage.setItem('meetingType', '普通会议')
      localStorage.setItem('hour', '1小时')
      this.$bus.emit('setAllUnCheck')
    },
    toSelParticipants() {
      localStorage.setItem('theme', this.dataForm.theme)
      localStorage.setItem('startTime', this.dataForm.startTime)
      localStorage.setItem('hour', this.dataForm.hour)
      localStorage.setItem('place', this.dataForm.place)
      this.$router.push({ path: '/selParticipants', query: { userList: this.userList } })
    },
    toSelMeetingRoom() {

      console.log(this.dataForm.meetingTypem, 'this.dataForm.meetingType')
      if (this.dataForm.meetingType == '1' || this.meetingType == '普通会议') {
        console.log('跳转路由')
        this.$router.push({
          name: 'selMeetingRoom',
        })
      } else if (this.dataForm.meetingType == '2' || this.meetingType == '视频会议') {
        this.$router.push({
          name: 'selMeetingRooms',
        })
      }

      console.log(this.meetingType, 'this.meetingType')
      console.log(this.dataForm, 'this.dataForm')
      // localStorage.setItem('theme', this.dataForm.theme)
      // localStorage.setItem('startTime', this.dataForm.startTime)
      // localStorage.setItem('hour', this.dataForm.hour)
      // localStorage.setItem('place', this.dataForm.place)
      // localStorage.setItem('selUsers', this.selUsers)
      // localStorage.setItem('meetingType', this.dataForm.meetingType)
      // localStorage.removeItem('room2')

    },
    toSelMeetingRooms() {
      this.$router.push({
        name: 'selMeetingRooms',
      })
    },
    toSelMeetingSetting() {
      this.$router.push({
        name: 'setting',
      })
    },
    formatDate(date) {

      return this.handleDate(date);
    },
    getEndTime() {
      let startTime = this.dataForm.startTime
      let covTime = new Date(startTime).getTime()
      let hour = this.dataForm.hour
      var endTime = new Date()
      console.log(covTime, 'covTime')
      if (hour == '半小时') {
        endTime.setTime(covTime + 1000 * 60 * 30)
      } else if (hour == '1小时') {
        endTime.setTime(covTime + 1000 * 60 * 60)
      } else if (hour == '2小时') {
        endTime.setTime(covTime + 1000 * 60 * 60 * 2)
      }
      else if (hour == '3小时') {
        endTime.setTime(covTime + 1000 * 60 * 60 * 3)
      }

      return this.handleDateTime(endTime)
    },
    onConfirm(choiceDate) {
      this.show = false;
      this.date2 = this.formatDate(choiceDate);
      this.dataForm.startTime = this.date
      this.setMeetingStatus(this.dataForm.startTime)
      this.dataForm.endTime = this.getEndTime()

    },
    onConfirmTime() {
      this.show2 = false;
      let date = this.date.split(' ')[0] + ' ' + this.currentTime
      this.date = date
      this.dataForm.startTime = this.date
      this.setMeetingStatus(this.dataForm.startTime)
      this.dataForm.endTime = this.getEndTime()
    },
    handleDateTime(dateTime) {
      let year = dateTime.getFullYear()
      let mouth = dateTime.getMonth() + 1 < 10 ? '0' + (dateTime.getMonth() + 1) : (dateTime.getMonth() + 1)
      let day = dateTime.getDate() + 1 < 10 ? '0' + dateTime.getDate() : dateTime.getDate()
      let hour = dateTime.getHours() < 10 ? '0' + (dateTime.getHours()) : dateTime.getHours()
      let Minutes = dateTime.getMinutes() < 10 ? '0' + dateTime.getMinutes() : dateTime.getMinutes()
      return year + '-' + mouth + '-' + day + ' ' + hour + ':' + Minutes
    },
    handleDate(date) {
      var nowDate = new Date()
      let year = nowDate.getFullYear()
      let mouth = date.getMonth() + 1 < 10 ? '0' + (date.getMonth() + 1) : (date.getMonth() + 1)
      let day = date.getDate() + 1 < 10 ? '0' + date.getDate() : date.getDate()
      this.date = year + '-' + mouth + '-' + day + ' ' + this.currentTime
      if (nowDate.getDate() == day) {
        this.myWidth = '108PX !important'
        this.mymarginLeft = '8PX !important'
        return '今天  ' + mouth + '-' + day

      } else {
        this.myWidth = '80PX !important'
        this.mymarginLeft = '38PX !important'
        return mouth + '-' + day
      }

    },
    onConfirmHour(value, index) {
      this.dataForm.hour = value
      localStorage.setItem('hour', value)
      this.show3 = false
      this.dataForm.endTime = this.getEndTime()
    },
    onConfirmType(value, index) {
      // let dictDatas = [
      //   { text: '普通会议', value: 1 },
      //   { text: '视频会议', value: 2 },
      // ]
      this.getDictData('hylx').forEach(item => {
        if (item.text = value) {
          this.dataForm.meetingType = item.value
        }
      })
      this.meetingType = value
      localStorage.setItem('meetingType', value)
      localStorage.setItem('room2', null)
      this.dataForm.room = null
      this.showMeetingType = false
    },
    onCancel() {

      this.showMeetingType = false
    },
    onCancelTimePicker() {
      this.show2 = false
      // console.log(this.show3,'this.show3')
    },
    saveTheme() {
      localStorage.setItem('theme', this.dataForm.theme)
    },
    savaRemark(){
      localStorage.setItem('remark', this.dataForm.remark)
    },
    onConfirmCustomDate(choiceDate) {
      this.showCustomDateCalendar = false;
      this.customDate = this.formatDate(choiceDate);

      this.dataForm.endTime = this.customDate + ' ' + this.customTime
      console.log(this.dataForm.endTime, 'this.dataForm.endTime')
    },
    onConfirmCustomTime() {
      this.showCustomTimePicker = false;
      this.dataForm.endTime = this.customDate + ' ' + this.customTime
      console.log(this.dataForm.endTime, 'this.dataForm.endTime')
    },
  }
};
</script>
<style>
/* *{
  font-size: 16PX !important;
} */
.el-input__inner {
  z-index: 0 !important;
  border: none !important;
  font-size: 30PX !important;
}

.hour .el-input__inner .el-input__icon {
  padding-top: 0 !important;
}

.order {
  width: 370PX;
  margin: 5PX;
  font-size: 30PX;
  /* height: 120vw !important; */
}

.elCard {

  padding-top: 5PX;
  /* padding-bottom: 5PX; */
  font-family: "Helvetica Neue", "Helvetica", 'PingFang SC', 'Hiragino Sans GB', 'Microsoft YaHei', 'SimSun', 'sans-serif';
}

.theme-input {
  font-size: 15PX;
  height: 30PX;
  border: none;
  margin-left: -15PX;
}

.participants {
  display: flex;
  white-space: nowrap;
}


.order-time {
  padding: -40PX;
}

.timeItem {
  
  align-items: center;
  display: flex;
  margin: 15PX 0;
  padding: 7.5PX 0;
}

.text {
  /* line-height: 37.5PX; */
  width: 70PX !important;
  height: 30PX;
}

.datePicker {
  padding: 10PX 20PX;
  font-size: 28PX;
  width: 102PX;
  position: relative;
  left: 30PX;
  line-height: 37PX;
  margin-left: 7PX !important;

}

.timePicker {
  margin-left: 20PX;
  width: 60PX !important;
  height: 28PX;
  /* padding-left: -20PX !important; */
}

.van-datetime-picker {
  width: 130PX;
  height: 28PX;
}

.dateSelect {
  padding: 10PX 20PX;
  font-size: 28PX;
  width: 262.5PX;
  position: relative;
  left: 184PX;
  line-height: 38PX;
}


.startTime {
  height: 25PX !important;
  border-bottom: #CCCCCC 1px solid;
  padding-bottom: 21PX;
  margin-top: -7PX;
}

.hour {
  height: 25PX !important;
  margin-bottom: -4PX;
}

.order-place {
  height: 63PX;
}
.el-card__body{
  height: 95% !important;
}

.room {
  display: flex;
  /* border-bottom: 1px solid #CCCCCC; */
}

.metRoom {
  width: 300PX;
  display: flex;
  align-items: center;
  margin-left: 7PX;
}

.metRoom img {
  margin-left: 24PX;
}

.textPlace {
  width: 38PX;
  height: 30PX;
  align-items: center;
}

.placeItem {
  padding-bottom: 20PX;
  padding-top: 3PX;
  line-height: 38PX;
  height: 42PX;
}

.placeInput {
  width: 280PX;
  position: relative;
  left: 28PX;
  top: 7PX;
}





.order-btn {
  margin: 7PX 7PX;
  width: calc(100% - 14PX);
  height: 44PX;
  font-weight: 600;
}

.van-cell {
  width: 100PX;
  height: 30PX;
  border-radius: 30PX;

  padding: 3.75PX 10PX;
}

.van-cell__value {
  min-width: 60PX;
  height: 30PX;
  color: #323233;
  text-align: center;
}

.order-meetingType {
  /* width: 80vw; */
}

.meetingType {
  height: 30PX;
  display: flex;
  align-items: center;
}

.themeInput {
  width: 100%;
  height: 37.5PX;
  padding: 4PX 0 0 0;
  border-radius: 0%;
  
}

.metSetting {
  display: flex;
  height: 45PX;
}
.metSetting .el-card__body{
  height: 45PX;
}


.metSetting img {
  margin: 7PX 0 0 206PX;
}

.van-field__control {
  height: 100%;
  font-size: 18PX;
  padding-top:5PX;
}

.remark::-webkit-scrollbar {
  display: none;
}

.endTimeCell .van-cell{
  width: 78PX !important;
}
.endTimeCell .van-cell__value{
  margin-left: -7PX !important;
}

.startTimeCell{
  margin-left: 6PX;
}

.startTime .van-cell{
  width: 78PX !important;
}

.startTimeCell .van-cell__value{
  
  margin-left: -0.6vw !important;
}
</style>
